# Python MCP SDK Examples

This folder provides comprehensive examples of using the Python MCP (Model Context Protocol) SDK, with a special focus on **ETDI (Enhanced Tool Definition Interface)** security features.

## 🎯 Quick Start with ETDI Tool Poisoning Prevention

**ETDI** prevents tool poisoning attacks in MCP environments by providing cryptographic verification and security analysis. Experience real AI security in action!

### 🚀 Try ETDI with Claude Desktop (Recommended)

```bash
# 1. Navigate to the ETDI demo
cd examples/etdi/tool_poisoning_demo

# 2. Set up your environment
python -m venv .venv
source .venv/bin/activate  # On Windows: .venv\Scripts\activate
pip install -r requirements.txt

# 3. Configure Auth0 (see detailed steps below)
cp ../.env.example ../.env
# Edit ../.env with your Auth0 credentials


## 🤝 Contributing

Help improve MCP security:

1. **Test New Scenarios**: Try different attack vectors
2. **Enhance Documentation**: Add more examples and explanations  
3. **Report Issues**: Help us fix problems and improve security
4. **Share Knowledge**: Teach others about tool poisoning prevention

---

**🛡️ Remember**: ETDI makes MCP tool ecosystems secure by design. Experience real AI security with these comprehensive examples!
